/* 米拓企业建站系统 Copyright (C) 长沙米拓信息技术有限公司 (https://www.metinfo.cn). All rights reserved. */
;(function() {
    var that = $.extend(true, {}, admin_module)
    $(document).on('click','.member-sys-edit-form .weixin-unbind',function(){
        M.load('alertify',()=>{
            alertify.confirm('是否取消绑定？',  (ev)=>{
                M.ajax({
                    url:`${that.own_name}c=index&a=doUnbind`,
                    success:(result)=>{
                        metAjaxFun({
                            result: result,
                            true_fun: ()=>{
                                $(this).addClass('hide');
                                $(`.member-sys-edit-form [name="weixin_nickname"]`).val('');
                            }
                        })
                    }
                })
            });
        });
    });
    TEMPLOADFUN[that.hash]=function(){
		M.load('form',function(){
            var $form=$('.member-sys-edit-form');
            formSaveCallback($form.attr('data-validate_order'), {
                true_fun: function(result) {
                    if ($form.find(`[name="admin_pass"]`).val()) setTimeout(() => {
                        window.location.href = M.url.admin + '?n=login&c=login&a=dologinout'
                    }, 1000);
                }
            });
        });
	}
})()
